#define IDX_MASK_NBC2_ABF_DIM_NS    5
#define IDX_MASK_NBC2_ABF_FACTOR_SZ    4
#define IDX_MASK_NBC2_ABF_ENTRY_NS    460

static unsigned int _cam_mask_entry_NBC2_ABF_key0000[] = {0X0000007C, 0X00000000, 0X00800000, 0X0000002F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0001[] = {0X0000007C, 0X00000000, 0X00800000, 0X0000004F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0002[] = {0X0000007C, 0X00000000, 0X00800000, 0X0000008F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0003[] = {0X0000007C, 0X00000000, 0X00800000, 0X0000010F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0004[] = {0X0000007C, 0X00000000, 0X00800000, 0X0000020F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0005[] = {0X0000007C, 0X00000000, 0X00800000, 0X0000040F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0006[] = {0X0000007C, 0X00000000, 0X00800000, 0X0000080F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0007[] = {0X0000007C, 0X00000000, 0X00800000, 0X0000100F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0008[] = {0X0000007C, 0X00000000, 0X00800000, 0X0000200F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0009[] = {0X0000007C, 0X00000000, 0X00800000, 0X0000400F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0010[] = {0X0000007C, 0X00000000, 0X00800000, 0X0000800F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0011[] = {0X0000007C, 0X00000000, 0X00800000, 0X0001000F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0012[] = {0X0000007C, 0X00000000, 0X00800000, 0X0002000F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0013[] = {0X0000007C, 0X00000000, 0X00800000, 0X0004000F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0014[] = {0X0000007C, 0X00000000, 0X00800000, 0X0008000F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0015[] = {0X0000007C, 0X00000000, 0X00800000, 0X0010000F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0016[] = {0X0000007C, 0X00000000, 0X00800000, 0X0020000F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0017[] = {0X0000007C, 0X00000000, 0X00800000, 0X0040000F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0018[] = {0X0000007C, 0X00000000, 0X00800000, 0X0080000F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0019[] = {0X0000007C, 0X00000000, 0X00800000, 0X0100000F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0020[] = {0X0000007C, 0X00000000, 0X00400000, 0X0000002F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0021[] = {0X0000007C, 0X00000000, 0X00400000, 0X0000004F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0022[] = {0X0000007C, 0X00000000, 0X00400000, 0X0000008F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0023[] = {0X0000007C, 0X00000000, 0X00400000, 0X0000010F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0024[] = {0X0000007C, 0X00000000, 0X00400000, 0X0000020F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0025[] = {0X0000007C, 0X00000000, 0X00400000, 0X0000040F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0026[] = {0X0000007C, 0X00000000, 0X00400000, 0X0000080F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0027[] = {0X0000007C, 0X00000000, 0X00400000, 0X0000100F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0028[] = {0X0000007C, 0X00000000, 0X00400000, 0X0000200F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0029[] = {0X0000007C, 0X00000000, 0X00400000, 0X0000400F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0030[] = {0X0000007C, 0X00000000, 0X00400000, 0X0000800F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0031[] = {0X0000007C, 0X00000000, 0X00400000, 0X0001000F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0032[] = {0X0000007C, 0X00000000, 0X00400000, 0X0002000F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0033[] = {0X0000007C, 0X00000000, 0X00400000, 0X0004000F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0034[] = {0X0000007C, 0X00000000, 0X00400000, 0X0008000F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0035[] = {0X0000007C, 0X00000000, 0X00400000, 0X0010000F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0036[] = {0X0000007C, 0X00000000, 0X00400000, 0X0020000F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0037[] = {0X0000007C, 0X00000000, 0X00400000, 0X0040000F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0038[] = {0X0000007C, 0X00000000, 0X00400000, 0X0080000F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0039[] = {0X0000007C, 0X00000000, 0X00400000, 0X0100000F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0040[] = {0X0000007C, 0X00000000, 0X00800000, 0X00000037, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0041[] = {0X0000007C, 0X00000000, 0X00800000, 0X00000057, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0042[] = {0X0000007C, 0X00000000, 0X00800000, 0X00000097, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0043[] = {0X0000007C, 0X00000000, 0X00800000, 0X00000117, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0044[] = {0X0000007C, 0X00000000, 0X00800000, 0X00000217, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0045[] = {0X0000007C, 0X00000000, 0X00800000, 0X00000417, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0046[] = {0X0000007C, 0X00000000, 0X00800000, 0X00000817, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0047[] = {0X0000007C, 0X00000000, 0X00800000, 0X00001017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0048[] = {0X0000007C, 0X00000000, 0X00800000, 0X00002017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0049[] = {0X0000007C, 0X00000000, 0X00800000, 0X00004017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0050[] = {0X0000007C, 0X00000000, 0X00800000, 0X00008017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0051[] = {0X0000007C, 0X00000000, 0X00800000, 0X00010017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0052[] = {0X0000007C, 0X00000000, 0X00800000, 0X00020017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0053[] = {0X0000007C, 0X00000000, 0X00800000, 0X00040017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0054[] = {0X0000007C, 0X00000000, 0X00800000, 0X00080017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0055[] = {0X0000007C, 0X00000000, 0X00800000, 0X00100017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0056[] = {0X0000007C, 0X00000000, 0X00800000, 0X00200017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0057[] = {0X0000007C, 0X00000000, 0X00800000, 0X00400017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0058[] = {0X0000007C, 0X00000000, 0X00800000, 0X00800017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0059[] = {0X0000007C, 0X00000000, 0X00800000, 0X01000017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0060[] = {0X0000007C, 0X00000000, 0X00400000, 0X00000037, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0061[] = {0X0000007C, 0X00000000, 0X00400000, 0X00000057, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0062[] = {0X0000007C, 0X00000000, 0X00400000, 0X00000097, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0063[] = {0X0000007C, 0X00000000, 0X00400000, 0X00000117, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0064[] = {0X0000007C, 0X00000000, 0X00400000, 0X00000217, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0065[] = {0X0000007C, 0X00000000, 0X00400000, 0X00000417, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0066[] = {0X0000007C, 0X00000000, 0X00400000, 0X00000817, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0067[] = {0X0000007C, 0X00000000, 0X00400000, 0X00001017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0068[] = {0X0000007C, 0X00000000, 0X00400000, 0X00002017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0069[] = {0X0000007C, 0X00000000, 0X00400000, 0X00004017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0070[] = {0X0000007C, 0X00000000, 0X00400000, 0X00008017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0071[] = {0X0000007C, 0X00000000, 0X00400000, 0X00010017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0072[] = {0X0000007C, 0X00000000, 0X00400000, 0X00020017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0073[] = {0X0000007C, 0X00000000, 0X00400000, 0X00040017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0074[] = {0X0000007C, 0X00000000, 0X00400000, 0X00080017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0075[] = {0X0000007C, 0X00000000, 0X00400000, 0X00100017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0076[] = {0X0000007C, 0X00000000, 0X00400000, 0X00200017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0077[] = {0X0000007C, 0X00000000, 0X00400000, 0X00400017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0078[] = {0X0000007C, 0X00000000, 0X00400000, 0X00800017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0079[] = {0X0000007C, 0X00000000, 0X00400000, 0X01000017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0080[] = {0X00000001, 0X00000000, 0X00400040, 0X0000002F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0081[] = {0X00000001, 0X00000000, 0X00400040, 0X0000004F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0082[] = {0X00000001, 0X00000000, 0X00400040, 0X0000008F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0083[] = {0X00000001, 0X00000000, 0X00400040, 0X0000010F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0084[] = {0X00000001, 0X00000000, 0X00400040, 0X0000020F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0085[] = {0X00000001, 0X00000000, 0X00400040, 0X0000040F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0086[] = {0X00000001, 0X00000000, 0X00400040, 0X0000080F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0087[] = {0X00000001, 0X00000000, 0X00400040, 0X0000100F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0088[] = {0X00000001, 0X00000000, 0X00400040, 0X0000200F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0089[] = {0X00000001, 0X00000000, 0X00400040, 0X0000400F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0090[] = {0X00000001, 0X00000000, 0X00400040, 0X0000800F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0091[] = {0X00000001, 0X00000000, 0X00400040, 0X0001000F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0092[] = {0X00000001, 0X00000000, 0X00400040, 0X0002000F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0093[] = {0X00000001, 0X00000000, 0X00400040, 0X0004000F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0094[] = {0X00000001, 0X00000000, 0X00400040, 0X0008000F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0095[] = {0X00000001, 0X00000000, 0X00400040, 0X0010000F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0096[] = {0X00000001, 0X00000000, 0X00400040, 0X0020000F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0097[] = {0X00000001, 0X00000000, 0X00400040, 0X0040000F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0098[] = {0X00000001, 0X00000000, 0X00400040, 0X0080000F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0099[] = {0X00000001, 0X00000000, 0X00400040, 0X0100000F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0100[] = {0X00000001, 0X00000000, 0X00800040, 0X0000002F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0101[] = {0X00000001, 0X00000000, 0X00800040, 0X0000004F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0102[] = {0X00000001, 0X00000000, 0X00800040, 0X0000008F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0103[] = {0X00000001, 0X00000000, 0X00800040, 0X0000010F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0104[] = {0X00000001, 0X00000000, 0X00800040, 0X0000020F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0105[] = {0X00000001, 0X00000000, 0X00800040, 0X0000040F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0106[] = {0X00000001, 0X00000000, 0X00800040, 0X0000080F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0107[] = {0X00000001, 0X00000000, 0X00800040, 0X0000100F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0108[] = {0X00000001, 0X00000000, 0X00800040, 0X0000200F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0109[] = {0X00000001, 0X00000000, 0X00800040, 0X0000400F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0110[] = {0X00000001, 0X00000000, 0X00800040, 0X0000800F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0111[] = {0X00000001, 0X00000000, 0X00800040, 0X0001000F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0112[] = {0X00000001, 0X00000000, 0X00800040, 0X0002000F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0113[] = {0X00000001, 0X00000000, 0X00800040, 0X0004000F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0114[] = {0X00000001, 0X00000000, 0X00800040, 0X0008000F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0115[] = {0X00000001, 0X00000000, 0X00800040, 0X0010000F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0116[] = {0X00000001, 0X00000000, 0X00800040, 0X0020000F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0117[] = {0X00000001, 0X00000000, 0X00800040, 0X0040000F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0118[] = {0X00000001, 0X00000000, 0X00800040, 0X0080000F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0119[] = {0X00000001, 0X00000000, 0X00800040, 0X0100000F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0120[] = {0X00000001, 0X00000000, 0X01000040, 0X0000002F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0121[] = {0X00000001, 0X00000000, 0X01000040, 0X0000004F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0122[] = {0X00000001, 0X00000000, 0X01000040, 0X0000008F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0123[] = {0X00000001, 0X00000000, 0X01000040, 0X0000010F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0124[] = {0X00000001, 0X00000000, 0X01000040, 0X0000020F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0125[] = {0X00000001, 0X00000000, 0X01000040, 0X0000040F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0126[] = {0X00000001, 0X00000000, 0X01000040, 0X0000080F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0127[] = {0X00000001, 0X00000000, 0X01000040, 0X0000100F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0128[] = {0X00000001, 0X00000000, 0X01000040, 0X0000200F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0129[] = {0X00000001, 0X00000000, 0X01000040, 0X0000400F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0130[] = {0X00000001, 0X00000000, 0X01000040, 0X0000800F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0131[] = {0X00000001, 0X00000000, 0X01000040, 0X0001000F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0132[] = {0X00000001, 0X00000000, 0X01000040, 0X0002000F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0133[] = {0X00000001, 0X00000000, 0X01000040, 0X0004000F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0134[] = {0X00000001, 0X00000000, 0X01000040, 0X0008000F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0135[] = {0X00000001, 0X00000000, 0X01000040, 0X0010000F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0136[] = {0X00000001, 0X00000000, 0X01000040, 0X0020000F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0137[] = {0X00000001, 0X00000000, 0X01000040, 0X0040000F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0138[] = {0X00000001, 0X00000000, 0X01000040, 0X0080000F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0139[] = {0X00000001, 0X00000000, 0X01000040, 0X0100000F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0140[] = {0X00000001, 0X00000000, 0X00400040, 0X00000037, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0141[] = {0X00000001, 0X00000000, 0X00400040, 0X00000057, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0142[] = {0X00000001, 0X00000000, 0X00400040, 0X00000097, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0143[] = {0X00000001, 0X00000000, 0X00400040, 0X00000117, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0144[] = {0X00000001, 0X00000000, 0X00400040, 0X00000217, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0145[] = {0X00000001, 0X00000000, 0X00400040, 0X00000417, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0146[] = {0X00000001, 0X00000000, 0X00400040, 0X00000817, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0147[] = {0X00000001, 0X00000000, 0X00400040, 0X00001017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0148[] = {0X00000001, 0X00000000, 0X00400040, 0X00002017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0149[] = {0X00000001, 0X00000000, 0X00400040, 0X00004017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0150[] = {0X00000001, 0X00000000, 0X00400040, 0X00008017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0151[] = {0X00000001, 0X00000000, 0X00400040, 0X00010017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0152[] = {0X00000001, 0X00000000, 0X00400040, 0X00020017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0153[] = {0X00000001, 0X00000000, 0X00400040, 0X00040017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0154[] = {0X00000001, 0X00000000, 0X00400040, 0X00080017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0155[] = {0X00000001, 0X00000000, 0X00400040, 0X00100017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0156[] = {0X00000001, 0X00000000, 0X00400040, 0X00200017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0157[] = {0X00000001, 0X00000000, 0X00400040, 0X00400017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0158[] = {0X00000001, 0X00000000, 0X00400040, 0X00800017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0159[] = {0X00000001, 0X00000000, 0X00400040, 0X01000017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0160[] = {0X00000001, 0X00000000, 0X00800040, 0X00000037, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0161[] = {0X00000001, 0X00000000, 0X00800040, 0X00000057, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0162[] = {0X00000001, 0X00000000, 0X00800040, 0X00000097, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0163[] = {0X00000001, 0X00000000, 0X00800040, 0X00000117, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0164[] = {0X00000001, 0X00000000, 0X00800040, 0X00000217, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0165[] = {0X00000001, 0X00000000, 0X00800040, 0X00000417, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0166[] = {0X00000001, 0X00000000, 0X00800040, 0X00000817, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0167[] = {0X00000001, 0X00000000, 0X00800040, 0X00001017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0168[] = {0X00000001, 0X00000000, 0X00800040, 0X00002017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0169[] = {0X00000001, 0X00000000, 0X00800040, 0X00004017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0170[] = {0X00000001, 0X00000000, 0X00800040, 0X00008017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0171[] = {0X00000001, 0X00000000, 0X00800040, 0X00010017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0172[] = {0X00000001, 0X00000000, 0X00800040, 0X00020017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0173[] = {0X00000001, 0X00000000, 0X00800040, 0X00040017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0174[] = {0X00000001, 0X00000000, 0X00800040, 0X00080017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0175[] = {0X00000001, 0X00000000, 0X00800040, 0X00100017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0176[] = {0X00000001, 0X00000000, 0X00800040, 0X00200017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0177[] = {0X00000001, 0X00000000, 0X00800040, 0X00400017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0178[] = {0X00000001, 0X00000000, 0X00800040, 0X00800017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0179[] = {0X00000001, 0X00000000, 0X00800040, 0X01000017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0180[] = {0X00000001, 0X00000000, 0X01000040, 0X00000037, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0181[] = {0X00000001, 0X00000000, 0X01000040, 0X00000057, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0182[] = {0X00000001, 0X00000000, 0X01000040, 0X00000097, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0183[] = {0X00000001, 0X00000000, 0X01000040, 0X00000117, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0184[] = {0X00000001, 0X00000000, 0X01000040, 0X00000217, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0185[] = {0X00000001, 0X00000000, 0X01000040, 0X00000417, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0186[] = {0X00000001, 0X00000000, 0X01000040, 0X00000817, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0187[] = {0X00000001, 0X00000000, 0X01000040, 0X00001017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0188[] = {0X00000001, 0X00000000, 0X01000040, 0X00002017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0189[] = {0X00000001, 0X00000000, 0X01000040, 0X00004017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0190[] = {0X00000001, 0X00000000, 0X01000040, 0X00008017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0191[] = {0X00000001, 0X00000000, 0X01000040, 0X00010017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0192[] = {0X00000001, 0X00000000, 0X01000040, 0X00020017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0193[] = {0X00000001, 0X00000000, 0X01000040, 0X00040017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0194[] = {0X00000001, 0X00000000, 0X01000040, 0X00080017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0195[] = {0X00000001, 0X00000000, 0X01000040, 0X00100017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0196[] = {0X00000001, 0X00000000, 0X01000040, 0X00200017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0197[] = {0X00000001, 0X00000000, 0X01000040, 0X00400017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0198[] = {0X00000001, 0X00000000, 0X01000040, 0X00800017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0199[] = {0X00000001, 0X00000000, 0X01000040, 0X01000017, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0200[] = {0X00000002, 0X00000000, 0X00400080, 0X0000003F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0201[] = {0X00000002, 0X00000000, 0X00400080, 0X0000005F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0202[] = {0X00000002, 0X00000000, 0X00400080, 0X0000009F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0203[] = {0X00000002, 0X00000000, 0X00400080, 0X0000011F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0204[] = {0X00000002, 0X00000000, 0X00400080, 0X0000021F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0205[] = {0X00000002, 0X00000000, 0X00400080, 0X0000041F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0206[] = {0X00000002, 0X00000000, 0X00400080, 0X0000081F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0207[] = {0X00000002, 0X00000000, 0X00400080, 0X0000101F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0208[] = {0X00000002, 0X00000000, 0X00400080, 0X0000201F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0209[] = {0X00000002, 0X00000000, 0X00400080, 0X0000401F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0210[] = {0X00000002, 0X00000000, 0X00400080, 0X0000801F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0211[] = {0X00000002, 0X00000000, 0X00400080, 0X0001001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0212[] = {0X00000002, 0X00000000, 0X00400080, 0X0002001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0213[] = {0X00000002, 0X00000000, 0X00400080, 0X0004001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0214[] = {0X00000002, 0X00000000, 0X00400080, 0X0008001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0215[] = {0X00000002, 0X00000000, 0X00400080, 0X0010001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0216[] = {0X00000002, 0X00000000, 0X00400080, 0X0020001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0217[] = {0X00000002, 0X00000000, 0X00400080, 0X0040001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0218[] = {0X00000002, 0X00000000, 0X00400080, 0X0080001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0219[] = {0X00000002, 0X00000000, 0X00400080, 0X0100001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0220[] = {0X00000002, 0X00000000, 0X01000080, 0X0000003F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0221[] = {0X00000002, 0X00000000, 0X01000080, 0X0000005F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0222[] = {0X00000002, 0X00000000, 0X01000080, 0X0000009F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0223[] = {0X00000002, 0X00000000, 0X01000080, 0X0000011F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0224[] = {0X00000002, 0X00000000, 0X01000080, 0X0000021F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0225[] = {0X00000002, 0X00000000, 0X01000080, 0X0000041F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0226[] = {0X00000002, 0X00000000, 0X01000080, 0X0000081F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0227[] = {0X00000002, 0X00000000, 0X01000080, 0X0000101F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0228[] = {0X00000002, 0X00000000, 0X01000080, 0X0000201F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0229[] = {0X00000002, 0X00000000, 0X01000080, 0X0000401F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0230[] = {0X00000002, 0X00000000, 0X01000080, 0X0000801F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0231[] = {0X00000002, 0X00000000, 0X01000080, 0X0001001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0232[] = {0X00000002, 0X00000000, 0X01000080, 0X0002001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0233[] = {0X00000002, 0X00000000, 0X01000080, 0X0004001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0234[] = {0X00000002, 0X00000000, 0X01000080, 0X0008001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0235[] = {0X00000002, 0X00000000, 0X01000080, 0X0010001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0236[] = {0X00000002, 0X00000000, 0X01000080, 0X0020001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0237[] = {0X00000002, 0X00000000, 0X01000080, 0X0040001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0238[] = {0X00000002, 0X00000000, 0X01000080, 0X0080001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0239[] = {0X00000002, 0X00000000, 0X01000080, 0X0100001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0240[] = {0X00000000, 0X0000071C, 0XFFC1C000, 0X0000003F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0241[] = {0X00000000, 0X0000071C, 0XFFC1C000, 0X0000005F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0242[] = {0X00000000, 0X0000071C, 0XFFC1C000, 0X0000009F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0243[] = {0X00000000, 0X0000071C, 0XFFC1C000, 0X0000011F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0244[] = {0X00000000, 0X0000071C, 0XFFC1C000, 0X0000021F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0245[] = {0X00000000, 0X0000071C, 0XFFC1C000, 0X0000041F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0246[] = {0X00000000, 0X0000071C, 0XFFC1C000, 0X0000081F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0247[] = {0X00000000, 0X0000071C, 0XFFC1C000, 0X0000101F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0248[] = {0X00000000, 0X0000071C, 0XFFC1C000, 0X0000201F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0249[] = {0X00000000, 0X0000071C, 0XFFC1C000, 0X0000401F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0250[] = {0X00000000, 0X0000071C, 0XFFC1C000, 0X0000801F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0251[] = {0X00000000, 0X0000071C, 0XFFC1C000, 0X0001001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0252[] = {0X00000000, 0X0000071C, 0XFFC1C000, 0X0002001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0253[] = {0X00000000, 0X0000071C, 0XFFC1C000, 0X0004001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0254[] = {0X00000000, 0X0000071C, 0XFFC1C000, 0X0008001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0255[] = {0X00000000, 0X0000071C, 0XFFC1C000, 0X0010001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0256[] = {0X00000000, 0X0000071C, 0XFFC1C000, 0X0020001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0257[] = {0X00000000, 0X0000071C, 0XFFC1C000, 0X0040001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0258[] = {0X00000000, 0X0000071C, 0XFFC1C000, 0X0080001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0259[] = {0X00000000, 0X0000071C, 0XFFC1C000, 0X0100001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0260[] = {0X00000000, 0X000038E0, 0XFFCE0000, 0X0000003F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0261[] = {0X00000000, 0X000038E0, 0XFFCE0000, 0X0000005F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0262[] = {0X00000000, 0X000038E0, 0XFFCE0000, 0X0000009F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0263[] = {0X00000000, 0X000038E0, 0XFFCE0000, 0X0000011F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0264[] = {0X00000000, 0X000038E0, 0XFFCE0000, 0X0000021F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0265[] = {0X00000000, 0X000038E0, 0XFFCE0000, 0X0000041F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0266[] = {0X00000000, 0X000038E0, 0XFFCE0000, 0X0000081F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0267[] = {0X00000000, 0X000038E0, 0XFFCE0000, 0X0000101F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0268[] = {0X00000000, 0X000038E0, 0XFFCE0000, 0X0000201F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0269[] = {0X00000000, 0X000038E0, 0XFFCE0000, 0X0000401F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0270[] = {0X00000000, 0X000038E0, 0XFFCE0000, 0X0000801F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0271[] = {0X00000000, 0X000038E0, 0XFFCE0000, 0X0001001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0272[] = {0X00000000, 0X000038E0, 0XFFCE0000, 0X0002001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0273[] = {0X00000000, 0X000038E0, 0XFFCE0000, 0X0004001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0274[] = {0X00000000, 0X000038E0, 0XFFCE0000, 0X0008001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0275[] = {0X00000000, 0X000038E0, 0XFFCE0000, 0X0010001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0276[] = {0X00000000, 0X000038E0, 0XFFCE0000, 0X0020001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0277[] = {0X00000000, 0X000038E0, 0XFFCE0000, 0X0040001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0278[] = {0X00000000, 0X000038E0, 0XFFCE0000, 0X0080001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0279[] = {0X00000000, 0X000038E0, 0XFFCE0000, 0X0100001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0280[] = {0X00000000, 0X0000C000, 0XFFC00000, 0X0000003F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0281[] = {0X00000000, 0X0000C000, 0XFFC00000, 0X0000005F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0282[] = {0X00000000, 0X0000C000, 0XFFC00000, 0X0000009F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0283[] = {0X00000000, 0X0000C000, 0XFFC00000, 0X0000011F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0284[] = {0X00000000, 0X0000C000, 0XFFC00000, 0X0000021F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0285[] = {0X00000000, 0X0000C000, 0XFFC00000, 0X0000041F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0286[] = {0X00000000, 0X0000C000, 0XFFC00000, 0X0000081F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0287[] = {0X00000000, 0X0000C000, 0XFFC00000, 0X0000101F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0288[] = {0X00000000, 0X0000C000, 0XFFC00000, 0X0000201F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0289[] = {0X00000000, 0X0000C000, 0XFFC00000, 0X0000401F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0290[] = {0X00000000, 0X0000C000, 0XFFC00000, 0X0000801F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0291[] = {0X00000000, 0X0000C000, 0XFFC00000, 0X0001001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0292[] = {0X00000000, 0X0000C000, 0XFFC00000, 0X0002001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0293[] = {0X00000000, 0X0000C000, 0XFFC00000, 0X0004001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0294[] = {0X00000000, 0X0000C000, 0XFFC00000, 0X0008001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0295[] = {0X00000000, 0X0000C000, 0XFFC00000, 0X0010001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0296[] = {0X00000000, 0X0000C000, 0XFFC00000, 0X0020001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0297[] = {0X00000000, 0X0000C000, 0XFFC00000, 0X0040001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0298[] = {0X00000000, 0X0000C000, 0XFFC00000, 0X0080001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0299[] = {0X00000000, 0X0000C000, 0XFFC00000, 0X0100001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0300[] = {0X01C70000, 0X00000000, 0XFFC00700, 0X0000003F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0301[] = {0X01C70000, 0X00000000, 0XFFC00700, 0X0000005F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0302[] = {0X01C70000, 0X00000000, 0XFFC00700, 0X0000009F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0303[] = {0X01C70000, 0X00000000, 0XFFC00700, 0X0000011F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0304[] = {0X01C70000, 0X00000000, 0XFFC00700, 0X0000021F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0305[] = {0X01C70000, 0X00000000, 0XFFC00700, 0X0000041F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0306[] = {0X01C70000, 0X00000000, 0XFFC00700, 0X0000081F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0307[] = {0X01C70000, 0X00000000, 0XFFC00700, 0X0000101F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0308[] = {0X01C70000, 0X00000000, 0XFFC00700, 0X0000201F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0309[] = {0X01C70000, 0X00000000, 0XFFC00700, 0X0000401F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0310[] = {0X01C70000, 0X00000000, 0XFFC00700, 0X0000801F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0311[] = {0X01C70000, 0X00000000, 0XFFC00700, 0X0001001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0312[] = {0X01C70000, 0X00000000, 0XFFC00700, 0X0002001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0313[] = {0X01C70000, 0X00000000, 0XFFC00700, 0X0004001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0314[] = {0X01C70000, 0X00000000, 0XFFC00700, 0X0008001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0315[] = {0X01C70000, 0X00000000, 0XFFC00700, 0X0010001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0316[] = {0X01C70000, 0X00000000, 0XFFC00700, 0X0020001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0317[] = {0X01C70000, 0X00000000, 0XFFC00700, 0X0040001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0318[] = {0X01C70000, 0X00000000, 0XFFC00700, 0X0080001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0319[] = {0X01C70000, 0X00000000, 0XFFC00700, 0X0100001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0320[] = {0X0E380000, 0X00000000, 0XFFC03800, 0X0000003F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0321[] = {0X0E380000, 0X00000000, 0XFFC03800, 0X0000005F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0322[] = {0X0E380000, 0X00000000, 0XFFC03800, 0X0000009F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0323[] = {0X0E380000, 0X00000000, 0XFFC03800, 0X0000011F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0324[] = {0X0E380000, 0X00000000, 0XFFC03800, 0X0000021F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0325[] = {0X0E380000, 0X00000000, 0XFFC03800, 0X0000041F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0326[] = {0X0E380000, 0X00000000, 0XFFC03800, 0X0000081F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0327[] = {0X0E380000, 0X00000000, 0XFFC03800, 0X0000101F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0328[] = {0X0E380000, 0X00000000, 0XFFC03800, 0X0000201F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0329[] = {0X0E380000, 0X00000000, 0XFFC03800, 0X0000401F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0330[] = {0X0E380000, 0X00000000, 0XFFC03800, 0X0000801F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0331[] = {0X0E380000, 0X00000000, 0XFFC03800, 0X0001001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0332[] = {0X0E380000, 0X00000000, 0XFFC03800, 0X0002001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0333[] = {0X0E380000, 0X00000000, 0XFFC03800, 0X0004001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0334[] = {0X0E380000, 0X00000000, 0XFFC03800, 0X0008001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0335[] = {0X0E380000, 0X00000000, 0XFFC03800, 0X0010001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0336[] = {0X0E380000, 0X00000000, 0XFFC03800, 0X0020001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0337[] = {0X0E380000, 0X00000000, 0XFFC03800, 0X0040001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0338[] = {0X0E380000, 0X00000000, 0XFFC03800, 0X0080001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0339[] = {0X0E380000, 0X00000000, 0XFFC03800, 0X0100001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0340[] = {0XF0000000, 0X00000003, 0XFFC00000, 0X0000003F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0341[] = {0XF0000000, 0X00000003, 0XFFC00000, 0X0000005F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0342[] = {0XF0000000, 0X00000003, 0XFFC00000, 0X0000009F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0343[] = {0XF0000000, 0X00000003, 0XFFC00000, 0X0000011F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0344[] = {0XF0000000, 0X00000003, 0XFFC00000, 0X0000021F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0345[] = {0XF0000000, 0X00000003, 0XFFC00000, 0X0000041F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0346[] = {0XF0000000, 0X00000003, 0XFFC00000, 0X0000081F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0347[] = {0XF0000000, 0X00000003, 0XFFC00000, 0X0000101F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0348[] = {0XF0000000, 0X00000003, 0XFFC00000, 0X0000201F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0349[] = {0XF0000000, 0X00000003, 0XFFC00000, 0X0000401F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0350[] = {0XF0000000, 0X00000003, 0XFFC00000, 0X0000801F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0351[] = {0XF0000000, 0X00000003, 0XFFC00000, 0X0001001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0352[] = {0XF0000000, 0X00000003, 0XFFC00000, 0X0002001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0353[] = {0XF0000000, 0X00000003, 0XFFC00000, 0X0004001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0354[] = {0XF0000000, 0X00000003, 0XFFC00000, 0X0008001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0355[] = {0XF0000000, 0X00000003, 0XFFC00000, 0X0010001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0356[] = {0XF0000000, 0X00000003, 0XFFC00000, 0X0020001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0357[] = {0XF0000000, 0X00000003, 0XFFC00000, 0X0040001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0358[] = {0XF0000000, 0X00000003, 0XFFC00000, 0X0080001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0359[] = {0XF0000000, 0X00000003, 0XFFC00000, 0X0100001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0360[] = {0X00000300, 0X00000000, 0XFFC00000, 0X0000003F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0361[] = {0X00000300, 0X00000000, 0XFFC00000, 0X0000005F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0362[] = {0X00000300, 0X00000000, 0XFFC00000, 0X0000009F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0363[] = {0X00000300, 0X00000000, 0XFFC00000, 0X0000011F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0364[] = {0X00000300, 0X00000000, 0XFFC00000, 0X0000021F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0365[] = {0X00000300, 0X00000000, 0XFFC00000, 0X0000041F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0366[] = {0X00000300, 0X00000000, 0XFFC00000, 0X0000081F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0367[] = {0X00000300, 0X00000000, 0XFFC00000, 0X0000101F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0368[] = {0X00000300, 0X00000000, 0XFFC00000, 0X0000201F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0369[] = {0X00000300, 0X00000000, 0XFFC00000, 0X0000401F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0370[] = {0X00000300, 0X00000000, 0XFFC00000, 0X0000801F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0371[] = {0X00000300, 0X00000000, 0XFFC00000, 0X0001001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0372[] = {0X00000300, 0X00000000, 0XFFC00000, 0X0002001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0373[] = {0X00000300, 0X00000000, 0XFFC00000, 0X0004001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0374[] = {0X00000300, 0X00000000, 0XFFC00000, 0X0008001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0375[] = {0X00000300, 0X00000000, 0XFFC00000, 0X0010001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0376[] = {0X00000300, 0X00000000, 0XFFC00000, 0X0020001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0377[] = {0X00000300, 0X00000000, 0XFFC00000, 0X0040001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0378[] = {0X00000300, 0X00000000, 0XFFC00000, 0X0080001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0379[] = {0X00000300, 0X00000000, 0XFFC00000, 0X0100001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0380[] = {0X00000C00, 0X00000000, 0XFFC00000, 0X0000003F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0381[] = {0X00000C00, 0X00000000, 0XFFC00000, 0X0000005F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0382[] = {0X00000C00, 0X00000000, 0XFFC00000, 0X0000009F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0383[] = {0X00000C00, 0X00000000, 0XFFC00000, 0X0000011F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0384[] = {0X00000C00, 0X00000000, 0XFFC00000, 0X0000021F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0385[] = {0X00000C00, 0X00000000, 0XFFC00000, 0X0000041F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0386[] = {0X00000C00, 0X00000000, 0XFFC00000, 0X0000081F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0387[] = {0X00000C00, 0X00000000, 0XFFC00000, 0X0000101F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0388[] = {0X00000C00, 0X00000000, 0XFFC00000, 0X0000201F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0389[] = {0X00000C00, 0X00000000, 0XFFC00000, 0X0000401F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0390[] = {0X00000C00, 0X00000000, 0XFFC00000, 0X0000801F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0391[] = {0X00000C00, 0X00000000, 0XFFC00000, 0X0001001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0392[] = {0X00000C00, 0X00000000, 0XFFC00000, 0X0002001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0393[] = {0X00000C00, 0X00000000, 0XFFC00000, 0X0004001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0394[] = {0X00000C00, 0X00000000, 0XFFC00000, 0X0008001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0395[] = {0X00000C00, 0X00000000, 0XFFC00000, 0X0010001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0396[] = {0X00000C00, 0X00000000, 0XFFC00000, 0X0020001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0397[] = {0X00000C00, 0X00000000, 0XFFC00000, 0X0040001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0398[] = {0X00000C00, 0X00000000, 0XFFC00000, 0X0080001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0399[] = {0X00000C00, 0X00000000, 0XFFC00000, 0X0100001F, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0400[] = {0X0000F000, 0X00000000, 0XFFC00000, 0X00000039, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0401[] = {0X0000F000, 0X00000000, 0XFFC00000, 0X00000059, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0402[] = {0X0000F000, 0X00000000, 0XFFC00000, 0X00000099, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0403[] = {0X0000F000, 0X00000000, 0XFFC00000, 0X00000119, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0404[] = {0X0000F000, 0X00000000, 0XFFC00000, 0X00000219, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0405[] = {0X0000F000, 0X00000000, 0XFFC00000, 0X00000419, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0406[] = {0X0000F000, 0X00000000, 0XFFC00000, 0X00000819, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0407[] = {0X0000F000, 0X00000000, 0XFFC00000, 0X00001019, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0408[] = {0X0000F000, 0X00000000, 0XFFC00000, 0X00002019, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0409[] = {0X0000F000, 0X00000000, 0XFFC00000, 0X00004019, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0410[] = {0X0000F000, 0X00000000, 0XFFC00000, 0X00008019, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0411[] = {0X0000F000, 0X00000000, 0XFFC00000, 0X00010019, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0412[] = {0X0000F000, 0X00000000, 0XFFC00000, 0X00020019, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0413[] = {0X0000F000, 0X00000000, 0XFFC00000, 0X00040019, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0414[] = {0X0000F000, 0X00000000, 0XFFC00000, 0X00080019, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0415[] = {0X0000F000, 0X00000000, 0XFFC00000, 0X00100019, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0416[] = {0X0000F000, 0X00000000, 0XFFC00000, 0X00200019, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0417[] = {0X0000F000, 0X00000000, 0XFFC00000, 0X00400019, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0418[] = {0X0000F000, 0X00000000, 0XFFC00000, 0X00800019, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0419[] = {0X0000F000, 0X00000000, 0XFFC00000, 0X01000019, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0420[] = {0X0000F07C, 0X00000000, 0XFFC00000, 0X0000003A, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0421[] = {0X0000F07C, 0X00000000, 0XFFC00000, 0X0000005A, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0422[] = {0X0000F07C, 0X00000000, 0XFFC00000, 0X0000009A, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0423[] = {0X0000F07C, 0X00000000, 0XFFC00000, 0X0000011A, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0424[] = {0X0000F07C, 0X00000000, 0XFFC00000, 0X0000021A, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0425[] = {0X0000F07C, 0X00000000, 0XFFC00000, 0X0000041A, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0426[] = {0X0000F07C, 0X00000000, 0XFFC00000, 0X0000081A, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0427[] = {0X0000F07C, 0X00000000, 0XFFC00000, 0X0000101A, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0428[] = {0X0000F07C, 0X00000000, 0XFFC00000, 0X0000201A, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0429[] = {0X0000F07C, 0X00000000, 0XFFC00000, 0X0000401A, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0430[] = {0X0000F07C, 0X00000000, 0XFFC00000, 0X0000801A, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0431[] = {0X0000F07C, 0X00000000, 0XFFC00000, 0X0001001A, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0432[] = {0X0000F07C, 0X00000000, 0XFFC00000, 0X0002001A, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0433[] = {0X0000F07C, 0X00000000, 0XFFC00000, 0X0004001A, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0434[] = {0X0000F07C, 0X00000000, 0XFFC00000, 0X0008001A, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0435[] = {0X0000F07C, 0X00000000, 0XFFC00000, 0X0010001A, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0436[] = {0X0000F07C, 0X00000000, 0XFFC00000, 0X0020001A, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0437[] = {0X0000F07C, 0X00000000, 0XFFC00000, 0X0040001A, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0438[] = {0X0000F07C, 0X00000000, 0XFFC00000, 0X0080001A, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0439[] = {0X0000F07C, 0X00000000, 0XFFC00000, 0X0100001A, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0440[] = {0XF0000000, 0X0000C003, 0XFFC00000, 0X0000003A, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0441[] = {0XF0000000, 0X0000C003, 0XFFC00000, 0X0000005A, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0442[] = {0XF0000000, 0X0000C003, 0XFFC00000, 0X0000009A, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0443[] = {0XF0000000, 0X0000C003, 0XFFC00000, 0X0000011A, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0444[] = {0XF0000000, 0X0000C003, 0XFFC00000, 0X0000021A, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0445[] = {0XF0000000, 0X0000C003, 0XFFC00000, 0X0000041A, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0446[] = {0XF0000000, 0X0000C003, 0XFFC00000, 0X0000081A, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0447[] = {0XF0000000, 0X0000C003, 0XFFC00000, 0X0000101A, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0448[] = {0XF0000000, 0X0000C003, 0XFFC00000, 0X0000201A, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0449[] = {0XF0000000, 0X0000C003, 0XFFC00000, 0X0000401A, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0450[] = {0XF0000000, 0X0000C003, 0XFFC00000, 0X0000801A, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0451[] = {0XF0000000, 0X0000C003, 0XFFC00000, 0X0001001A, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0452[] = {0XF0000000, 0X0000C003, 0XFFC00000, 0X0002001A, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0453[] = {0XF0000000, 0X0000C003, 0XFFC00000, 0X0004001A, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0454[] = {0XF0000000, 0X0000C003, 0XFFC00000, 0X0008001A, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0455[] = {0XF0000000, 0X0000C003, 0XFFC00000, 0X0010001A, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0456[] = {0XF0000000, 0X0000C003, 0XFFC00000, 0X0020001A, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0457[] = {0XF0000000, 0X0000C003, 0XFFC00000, 0X0040001A, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0458[] = {0XF0000000, 0X0000C003, 0XFFC00000, 0X0080001A, };
static unsigned int _cam_mask_entry_NBC2_ABF_key0459[] = {0XF0000000, 0X0000C003, 0XFFC00000, 0X0100001A, };

static IDX_MASK_ENTRY _cam_mask_entry_NBC2_ABF[IDX_MASK_NBC2_ABF_ENTRY_NS] =
{
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0000, 0, 0},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0001, 1, 0},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0002, 2, 0},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0003, 3, 0},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0004, 4, 0},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0005, 5, 0},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0006, 6, 0},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0007, 7, 0},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0008, 8, 0},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0009, 9, 0},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0010, 10, 0},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0011, 11, 0},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0012, 12, 0},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0013, 13, 0},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0014, 14, 0},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0015, 15, 0},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0016, 16, 0},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0017, 17, 0},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0018, 18, 0},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0019, 19, 0},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0020, 0, 1},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0021, 1, 1},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0022, 2, 1},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0023, 3, 1},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0024, 4, 1},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0025, 5, 1},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0026, 6, 1},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0027, 7, 1},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0028, 8, 1},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0029, 9, 1},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0030, 10, 1},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0031, 11, 1},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0032, 12, 1},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0033, 13, 1},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0034, 14, 1},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0035, 15, 1},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0036, 16, 1},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0037, 17, 1},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0038, 18, 1},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0039, 19, 1},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0040, 0, 2},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0041, 1, 2},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0042, 2, 2},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0043, 3, 2},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0044, 4, 2},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0045, 5, 2},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0046, 6, 2},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0047, 7, 2},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0048, 8, 2},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0049, 9, 2},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0050, 10, 2},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0051, 11, 2},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0052, 12, 2},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0053, 13, 2},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0054, 14, 2},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0055, 15, 2},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0056, 16, 2},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0057, 17, 2},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0058, 18, 2},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0059, 19, 2},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0060, 0, 3},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0061, 1, 3},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0062, 2, 3},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0063, 3, 3},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0064, 4, 3},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0065, 5, 3},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0066, 6, 3},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0067, 7, 3},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0068, 8, 3},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0069, 9, 3},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0070, 10, 3},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0071, 11, 3},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0072, 12, 3},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0073, 13, 3},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0074, 14, 3},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0075, 15, 3},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0076, 16, 3},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0077, 17, 3},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0078, 18, 3},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0079, 19, 3},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0080, 0, 4},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0081, 1, 4},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0082, 2, 4},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0083, 3, 4},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0084, 4, 4},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0085, 5, 4},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0086, 6, 4},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0087, 7, 4},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0088, 8, 4},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0089, 9, 4},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0090, 10, 4},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0091, 11, 4},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0092, 12, 4},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0093, 13, 4},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0094, 14, 4},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0095, 15, 4},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0096, 16, 4},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0097, 17, 4},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0098, 18, 4},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0099, 19, 4},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0100, 0, 5},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0101, 1, 5},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0102, 2, 5},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0103, 3, 5},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0104, 4, 5},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0105, 5, 5},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0106, 6, 5},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0107, 7, 5},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0108, 8, 5},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0109, 9, 5},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0110, 10, 5},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0111, 11, 5},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0112, 12, 5},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0113, 13, 5},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0114, 14, 5},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0115, 15, 5},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0116, 16, 5},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0117, 17, 5},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0118, 18, 5},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0119, 19, 5},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0120, 0, 6},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0121, 1, 6},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0122, 2, 6},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0123, 3, 6},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0124, 4, 6},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0125, 5, 6},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0126, 6, 6},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0127, 7, 6},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0128, 8, 6},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0129, 9, 6},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0130, 10, 6},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0131, 11, 6},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0132, 12, 6},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0133, 13, 6},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0134, 14, 6},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0135, 15, 6},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0136, 16, 6},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0137, 17, 6},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0138, 18, 6},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0139, 19, 6},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0140, 0, 7},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0141, 1, 7},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0142, 2, 7},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0143, 3, 7},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0144, 4, 7},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0145, 5, 7},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0146, 6, 7},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0147, 7, 7},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0148, 8, 7},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0149, 9, 7},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0150, 10, 7},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0151, 11, 7},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0152, 12, 7},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0153, 13, 7},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0154, 14, 7},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0155, 15, 7},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0156, 16, 7},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0157, 17, 7},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0158, 18, 7},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0159, 19, 7},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0160, 0, 8},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0161, 1, 8},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0162, 2, 8},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0163, 3, 8},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0164, 4, 8},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0165, 5, 8},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0166, 6, 8},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0167, 7, 8},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0168, 8, 8},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0169, 9, 8},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0170, 10, 8},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0171, 11, 8},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0172, 12, 8},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0173, 13, 8},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0174, 14, 8},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0175, 15, 8},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0176, 16, 8},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0177, 17, 8},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0178, 18, 8},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0179, 19, 8},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0180, 0, 9},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0181, 1, 9},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0182, 2, 9},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0183, 3, 9},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0184, 4, 9},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0185, 5, 9},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0186, 6, 9},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0187, 7, 9},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0188, 8, 9},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0189, 9, 9},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0190, 10, 9},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0191, 11, 9},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0192, 12, 9},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0193, 13, 9},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0194, 14, 9},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0195, 15, 9},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0196, 16, 9},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0197, 17, 9},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0198, 18, 9},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0199, 19, 9},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0200, 0, 10},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0201, 1, 10},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0202, 2, 10},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0203, 3, 10},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0204, 4, 10},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0205, 5, 10},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0206, 6, 10},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0207, 7, 10},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0208, 8, 10},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0209, 9, 10},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0210, 10, 10},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0211, 11, 10},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0212, 12, 10},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0213, 13, 10},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0214, 14, 10},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0215, 15, 10},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0216, 16, 10},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0217, 17, 10},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0218, 18, 10},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0219, 19, 10},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0220, 0, 11},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0221, 1, 11},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0222, 2, 11},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0223, 3, 11},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0224, 4, 11},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0225, 5, 11},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0226, 6, 11},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0227, 7, 11},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0228, 8, 11},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0229, 9, 11},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0230, 10, 11},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0231, 11, 11},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0232, 12, 11},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0233, 13, 11},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0234, 14, 11},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0235, 15, 11},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0236, 16, 11},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0237, 17, 11},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0238, 18, 11},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0239, 19, 11},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0240, 0, 12},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0241, 1, 12},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0242, 2, 12},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0243, 3, 12},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0244, 4, 12},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0245, 5, 12},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0246, 6, 12},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0247, 7, 12},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0248, 8, 12},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0249, 9, 12},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0250, 10, 12},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0251, 11, 12},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0252, 12, 12},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0253, 13, 12},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0254, 14, 12},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0255, 15, 12},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0256, 16, 12},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0257, 17, 12},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0258, 18, 12},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0259, 19, 12},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0260, 0, 13},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0261, 1, 13},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0262, 2, 13},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0263, 3, 13},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0264, 4, 13},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0265, 5, 13},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0266, 6, 13},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0267, 7, 13},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0268, 8, 13},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0269, 9, 13},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0270, 10, 13},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0271, 11, 13},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0272, 12, 13},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0273, 13, 13},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0274, 14, 13},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0275, 15, 13},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0276, 16, 13},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0277, 17, 13},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0278, 18, 13},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0279, 19, 13},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0280, 0, 14},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0281, 1, 14},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0282, 2, 14},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0283, 3, 14},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0284, 4, 14},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0285, 5, 14},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0286, 6, 14},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0287, 7, 14},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0288, 8, 14},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0289, 9, 14},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0290, 10, 14},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0291, 11, 14},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0292, 12, 14},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0293, 13, 14},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0294, 14, 14},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0295, 15, 14},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0296, 16, 14},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0297, 17, 14},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0298, 18, 14},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0299, 19, 14},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0300, 0, 15},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0301, 1, 15},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0302, 2, 15},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0303, 3, 15},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0304, 4, 15},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0305, 5, 15},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0306, 6, 15},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0307, 7, 15},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0308, 8, 15},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0309, 9, 15},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0310, 10, 15},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0311, 11, 15},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0312, 12, 15},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0313, 13, 15},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0314, 14, 15},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0315, 15, 15},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0316, 16, 15},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0317, 17, 15},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0318, 18, 15},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0319, 19, 15},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0320, 0, 16},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0321, 1, 16},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0322, 2, 16},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0323, 3, 16},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0324, 4, 16},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0325, 5, 16},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0326, 6, 16},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0327, 7, 16},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0328, 8, 16},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0329, 9, 16},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0330, 10, 16},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0331, 11, 16},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0332, 12, 16},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0333, 13, 16},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0334, 14, 16},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0335, 15, 16},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0336, 16, 16},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0337, 17, 16},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0338, 18, 16},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0339, 19, 16},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0340, 0, 17},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0341, 1, 17},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0342, 2, 17},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0343, 3, 17},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0344, 4, 17},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0345, 5, 17},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0346, 6, 17},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0347, 7, 17},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0348, 8, 17},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0349, 9, 17},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0350, 10, 17},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0351, 11, 17},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0352, 12, 17},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0353, 13, 17},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0354, 14, 17},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0355, 15, 17},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0356, 16, 17},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0357, 17, 17},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0358, 18, 17},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0359, 19, 17},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0360, 0, 18},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0361, 1, 18},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0362, 2, 18},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0363, 3, 18},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0364, 4, 18},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0365, 5, 18},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0366, 6, 18},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0367, 7, 18},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0368, 8, 18},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0369, 9, 18},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0370, 10, 18},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0371, 11, 18},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0372, 12, 18},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0373, 13, 18},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0374, 14, 18},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0375, 15, 18},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0376, 16, 18},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0377, 17, 18},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0378, 18, 18},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0379, 19, 18},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0380, 0, 19},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0381, 1, 19},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0382, 2, 19},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0383, 3, 19},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0384, 4, 19},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0385, 5, 19},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0386, 6, 19},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0387, 7, 19},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0388, 8, 19},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0389, 9, 19},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0390, 10, 19},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0391, 11, 19},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0392, 12, 19},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0393, 13, 19},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0394, 14, 19},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0395, 15, 19},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0396, 16, 19},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0397, 17, 19},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0398, 18, 19},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0399, 19, 19},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0400, 0, 20},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0401, 1, 20},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0402, 2, 20},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0403, 3, 20},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0404, 4, 20},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0405, 5, 20},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0406, 6, 20},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0407, 7, 20},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0408, 8, 20},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0409, 9, 20},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0410, 10, 20},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0411, 11, 20},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0412, 12, 20},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0413, 13, 20},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0414, 14, 20},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0415, 15, 20},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0416, 16, 20},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0417, 17, 20},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0418, 18, 20},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0419, 19, 20},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0420, 0, 21},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0421, 1, 21},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0422, 2, 21},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0423, 3, 21},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0424, 4, 21},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0425, 5, 21},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0426, 6, 21},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0427, 7, 21},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0428, 8, 21},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0429, 9, 21},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0430, 10, 21},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0431, 11, 21},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0432, 12, 21},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0433, 13, 21},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0434, 14, 21},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0435, 15, 21},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0436, 16, 21},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0437, 17, 21},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0438, 18, 21},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0439, 19, 21},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0440, 0, 22},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0441, 1, 22},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0442, 2, 22},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0443, 3, 22},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0444, 4, 22},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0445, 5, 22},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0446, 6, 22},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0447, 7, 22},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0448, 8, 22},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0449, 9, 22},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0450, 10, 22},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0451, 11, 22},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0452, 12, 22},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0453, 13, 22},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0454, 14, 22},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0455, 15, 22},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0456, 16, 22},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0457, 17, 22},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0458, 18, 22},
    {(unsigned int*)&_cam_mask_entry_NBC2_ABF_key0459, 19, 22},
};

static unsigned short _cam_mask_dims_NBC2_ABF[] = 
{
    EDim_IspProfile,
    EDim_SensorMode,
    EDim_Flash,
    EDim_FaceDetection,
    EDim_ISO,
};

const IDX_MASK_T cam_mask_NBC2_ABF =
{
    {IDX_ALGO_MASK, IDX_MASK_NBC2_ABF_DIM_NS, (unsigned short*)&_cam_mask_dims_NBC2_ABF},
    {IDX_MASK_NBC2_ABF_ENTRY_NS, IDX_MASK_NBC2_ABF_FACTOR_SZ, (IDX_MASK_ENTRY*)&_cam_mask_entry_NBC2_ABF}
};